import { Server, Socket } from 'socket.io';
export declare class BookingGateway {
    server: Server;
    sendNotification(data: any): void;
    sendStatusNotification(data: any): void;
    handleMessage(message: {
        user: string;
        text: string;
    }, client: Socket): void;
}
